#!/usr/local/bin/perl -w
use strict;
use Devel::Peek;

my @str;
$str[0] = "\xb5\xdc\xc0\xee";         # EUC-JP  "{"
$str[1] = "\xe5\xae\xae\xe5\xb7\x9d"; # UTF-8   "{"
$str[2] = "\x{5bae}\x{5ddd}";         # Unicode Codepoint

# Devel::Peek  Dump Ă݂
Dump $_ for @str;

# length \Ă݂
for (0, 1, 2) {
    print "$_: ", length($str[$_]), "\n";
}

# euc-jp, utf-8  decode
use Encode;

$str[0] = decode("euc-jp", $str[0]);
$str[1] = decode("utf-8", $str[1]);

# length x\Ă݂
for (0, 1, 2) {
    print "$_: ", length($str[$_]), "\n";
}

# encode ŃoCgɖ߂ print
print encode("euc-jp", $str[0]), "\n";
